> ## Documentation Index > Fetch the complete documentation index at: https://support.fortanix.com/llms.txt > Use this file to discover all available pages before exploring further. # Discover the supported authentication methods for a user > Discover the supported authentication methods for a user. ## OpenAPI ````json POST /v1/sys/auth/discover { "openapi": "3.0.4", "info": { "title": "Confidential Computing Manager", "description": "Fortanix Confidential Computing Manager Backend. These are APIs using which the frontend and other clients (compute node agents) interact with Fortanix Confidential Computing Manager functionalities, which include compute node and app enrollment, attestation and signing, and Certificate Authority.", "termsOfService": "https://www.fortanix.com/legal/terms/", "contact": { "name": "Fortanix Support", "url": "https://support.fortanix.com/hc/en-us/categories/360003107511-Confidential-Computing-Manager", "email": "support@fortanix.com" }, "license": { "name": "Apache 2.0", "url": "http://www.apache.org/licenses/LICENSE-2.0.html" }, "version": "2.0.0" }, "servers": [ { "url": "https://ccm.fortanix.com" } ], "paths": { "/v1/sys/auth/discover": { "post": { "tags": [ "Auth" ], "summary": "Discover the supported authentication methods for a user.", "description": "Discover the supported authentication methods for a user.", "operationId": "discover", "parameters": [ { "name": "acct_id", "in": "query", "schema": { "type": "string", "format": "uuid" } } ], "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/AuthDiscoverRequest" } } }, "required": true, "x-bodyName": "auth_discover_request" }, "responses": { "200": { "description": "", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/AuthDiscoverResponse" } } } } }, "x-auth-resource": "NoAuth" } } }, "components": { "schemas": { "AuthDiscoverRequest": { "type": "object", "properties": { "user_email": { "type": "string", "description": "User email." } } }, "AuthDiscoverResponse": { "required": [ "auth_methods" ], "type": "object", "properties": { "auth_methods": { "type": "array", "items": { "$ref": "#/components/schemas/AuthMethod" } } } }, "AuthMethod": { "type": "object", "properties": { "password": { "type": "object" }, "oauth_code_grant": { "$ref": "#/components/schemas/OauthAuthCodeGrant" } } }, "OauthAuthCodeGrant": { "required": [ "name", "icon_url", "authorization_url", "client_id", "redirect_uri", "state", "idp_id" ], "type": "object", "properties": { "name": { "type": "string" }, "icon_url": { "type": "string" }, "authorization_url": { "type": "string" }, "client_id": { "type": "string" }, "redirect_uri": { "type": "string" }, "state": { "type": "string" }, "idp_id": { "type": "string", "format": "binary" }, "cluster_idp_id": { "type": "string" } } } } } } ````